•  Previous
  • 1
  • 4
  • 5
  • 6
  • 7
  • 8(current)
 
Thread Rating:
  • 2 Vote(s) - 5 Average
Work in Progress - adsp.biquad.filters
Oh - allright. Thanks! Will test 0.0.3


Edit: Works!
A Confluence ZEITGEIST (Modernized Confluence Skin)
Reply
One question regarding output-behaviour of the addon.

On a KODI 5.1 HDMI LPCM setup:

Without Addon:
- Movies with 5.1 sound are sent as 6ch LPCM via HDMI
- Music/other sources with 2.0 sound is sent as 2ch LPCM via HDMI (which is good as you can use multiple Music/upscaling-modes on your AVR that way)

With Addon:
- Movies with 5.1 sound are sent as 6ch LPCM via HDMI (identical)
- Music/other sources with 2.0 sound is sent as 6ch LPCM via HDMI (different behaviour - music is always 6ch - not 2ch as it'd be default. The downsides should be obvious(?))

Is that as intended?
Any plans to change it to the default behaviour KODI uses without the addon?

Besides that: EQ sounds great - good job. Thank you!
A Confluence ZEITGEIST (Modernized Confluence Skin)
Reply
(2016-07-08, 09:12)giaur Wrote:
(2016-07-07, 16:34)adit Wrote: hi @giaur, can I have your compiled version of biquad filter addon? I'm also stuck with Jarvis on wetek play. Thanks!

My version is for OrangePI, it won't run on wetek

@giaur understood and learned, thanks! I compiled 0.0.3 version for wetek play using your suggestion(renaming p8-platform to platform), it works now on Jarvis.

@wisler sorry for interference, just wanted to benefit of latest fix, there is no Krypton image for my device yet.
Reply
Hi!

I'm trying to build the asplib as it is needed by the adsp.biquad.filters and I'm failing with a cmake error. I'm using KODI 17.03 and so far I was able to build all the add-ons I wanted.

The steps I ran so far:
git clone https://github.com/AchimTuran/asplib.git
cd asplib/
cmake -DCMAKE_INSTALL_PREFIX=/usr

Following is the error I'm getting stuck with:
_______________________________
-- asplib_DESCRIPTION=asplib (Achim's Signal Processing LIBrary), is a small and lightweight C++ library for digital signal processing.
-- asplib_SOURCE_DIR=/kit/asplib
-- asplib_VERSION=1.0
-- asplib_VERSION_MAJOR=1
-- asplib_VERSION_MINOR=0
-- asplib_VERSION_TWEAK=
-- f=
-- path=
-- portaudio_BINARY_DIR=/kit/asplib/depends/0build/portaudio
-- portaudio_DIR=portaudio_DIR-NOTFOUND
-- portaudio_LIB_DEPENDS=general;/usr/lib/libasound.so;
-- portaudio_SOURCE_DIR=/kit/asplib/depends/portaudio
-- portaudio_static_LIB_DEPENDS=general;/usr/lib/libasound.so;
-- type=
--
-- asplib - Configuration:
-- CMAKE_BUILD_TYPE:
-- CMAKE_INSTALL_PREFIX: /usr
--
-- Configuring done
CMake Error in asplib_modules/AudioInterfaces/CMakeLists.txt:
Target "AudioInterfaces" INTERFACE_INCLUDE_DIRECTORIES property contains
path:

"/kit/asplib/depends/portaudio/include"

which is prefixed in the build directory.


CMake Error: install(EXPORT "asplib" ...) includes target "AudioInterfaces" which requires target "portaudio_static" that is not in the export set.
-- Generating done
-- Build files have been written to: /kit/asplib
________________________________________________

Any help appreciated!
Reply
This is the wrong way. asplib will be built during adsp.biquads.filters. Currently asplib is not ready to be installed under Linux. It's just a static library, which will be linked to adsp.biquads.filters.
Latest news about AudioDSP and my libraries are available on Twitter.

Developers can follow me on Github.
Reply
Thanks! I wasn't aware of that.

I was just looking to improve my sound output a little bit, especially in the lower frequency range, but it looks like I have to implement a system (ALSA) equalizer for the moment.

Good luck with your interesting addon and hope that soon you'll have it ready for Linux too!

(unsubscribing)
Reply
ALSA equalizer will not work with Kodi, because Kodi uses sound output directly, it won't use equalizer output. You neew pulse audio equalizer instead (sorry for offtopic).
Reply
Hi!

I can not find anywhere where you can download the Biquad Filter 0.0.3.?

Thanks
Reply
Sorry, currently there is no offcially download.
Latest news about AudioDSP and my libraries are available on Twitter.

Developers can follow me on Github.
Reply
I put my question here and hope someone can help me.

There is a Raspberry with Hifiberry Amp+ running Libreelec. After a long and fruitless searching the net I managed to setup a working adsp.biquad.filters addon and get a stable graphical equalizer. Since upgrading to LE7.95.2 (Kodi Krypton final) I cannot open Audio DSP manager on Audio tab of System settings. It was working in LE7.90.008.

I know that Audio DSP is not officially supported due to stability issues, however I do not understand the efforts to make harder the usage what has been working fine. The ADSP addons were removed from the repos (this is OK) but now the ADSP manager cannot be opened in Kodi. It is a really odd limitation as the Audio DSP still can be enabled/disabled in the same menu and the ADSP addon is still working fine. Only the access to the configuration page is blocked.

Can you suggest any workaround to access ADSP manager or the EQ settings window directly? I tried with Kodi command "activatewindow(10154)". It opens the DSP manager window, however it is empty.

Any help is highly appreciated. Obviously I could downgrade to LE7.90.008, however latest Kodi contains other fixes I was hardly waiting for.
Reply
Sorry this seems to be a bug and I currently have not the time to fix it. I'm currently try to rewrite core parts of AudioDSP. It will take a lot of time and effort. I guess during the mean time you have to stick with an older version or don't use AudioDSP with the latest official Kodi version. Sorry for the issues, which is one of the reason I started to rewrite parts.
Latest news about AudioDSP and my libraries are available on Twitter.

Developers can follow me on Github.
Reply
  •  Previous
  • 1
  • 4
  • 5
  • 6
  • 7
  • 8(current)



adsp.biquad.filters52